# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.023
%define module_name MooseX-ExpiredAttribute
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.023
Release: alt1.1
Summary: Expired and auto rebuilded attributes in Moose objects
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PE/PERLOVER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module allows to create expired attributes with auto-rebuilding feature
after elapsed time. The goal of module is attrubutes which can be able to have
the time-varying value. For example some configs can be changed by user during
program runtime and wished to be reread by program every one minute for example.
All that is required from you to add the trait to an attribute and to add the
'expires' option (may be fractal seconds). An attribute should have a builder
too!


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.023-alt1.1
- rebuild to restore role requires

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.023-alt1
- initial import by package builder

